## yaphone.tar.bz2

=== shared_localization/Makefile ===
VERSION:=$(shell parsechangelog | sed -n 's|Version: ||p' | tr . 0)
CC=g++

CFLAGS=-c -Wall --std=c++11 -fPIC -O2 -fno-strict-aliasing -DNDEBUG -g \
    -DSHARED_LOCALIZATION_VERSION=$(VERSION) \
    -I/usr/local/include/libmongoc-1.0 \
    -I/usr/local/include/libbson-1.0 \
    -I/usr/local/include/mongocxx/v_noabi \
    -I/usr/local/include/bsoncxx/v_noabi

LDFLAGS=

COMMON_LDLIBRARIES= `pkg-config --cflags --libs libmongocxx-static` \
        -l:libboost_filesystem.so.1.58.0 -l:libboost_system.so.1.58.0 \
        -l:libboost_thread.so.1.58.0 -lcrypto -lgmp -pthread \

CLIENT_LDLIBRARIES_PY27=$(COMMON_LDLIBRARIES) -lpython2.7 -l:libboost_python-py27.so.1.58.0
CLIENT_LDLIBRARIES_PY35=$(COMMON_LDLIBRARIES) -lpython3.5m -l:libboost_python-py35.so.1.58.0
MANAGER_LDLIBRARIES=$(COMMON_LDLIBRARIES) -lPocoFoundation
TESTS_LDLIBRARIES=$(CLIENT_LDLIBRARIES_PY27) -lPocoFoundation

CLIENT_SOURCES=src/local_items.cpp src/config.cpp src/items_cache.cpp src/user_info.cpp
MANAGER_SOURCES=src/daemon.cpp src/config.cpp src/local_items_db.cpp src/local_items.cpp

CLIENT_OBJECTS_PY27=$(CLIENT_SOURCES:.cpp=.py27.o)
CLIENT_OBJECTS_PY35=$(CLIENT_SOURCES:.cpp=.py35.o)
MANAGER_OBJECTS=$(MANAGER_SOURCES:.cpp=.o)

build: _shared_localization.py27.so _shared_localization.py35.so SLManager

tests: test functional_test

tests/tests.o: tests/tests.cpp
	$(CC) $(CFLAGS) $< -o $@ -I /usr/include/python2.7/

test: tests/tests.o $(MANAGER_OBJECTS)
	$(CC) -o test $(MANAGER_OBJECTS) tests/tests.o $(TESTS_LDLIBRARIES) -lgmock
	./test

functional_test:
	sudo rm /usr/bin/SLManager || true
	sudo cp SLManager /usr/bin/SLManager || true
	pkill SLManager || true
	ln -s _shared_localization.py27.so _shared_localization.so
	PYTHONPATH=. python2 tests/functional_test.py
	rm _shared_localization.so
	ln -s _shared_localization.py35.so _shared_localization.so
	PYTHONPATH=. python3 tests/functional_test.py
	rm _shared_localization.so
	sudo rm /usr/bin/SLManager

SLManager: $(MANAGER_OBJECTS) src/manager.o
	$(CC) -o SLManager $(MANAGER_OBJECTS) src/manager.o $(MANAGER_LDLIBRARIES)

_shared_localization.py27.so: $(CLIENT_OBJECTS_PY27) src/module.py27.o
	$(CC) -shared -o $@ src/module.py27.o $(CLIENT_OBJECTS_PY27) $(CLIENT_LDLIBRARIES_PY27)

_shared_localization.py35.so: $(CLIENT_OBJECTS_PY35) src/module.py35.o
	$(CC) -shared -o $@ src/module.py35.o $(CLIENT_OBJECTS_PY35) $(CLIENT_LDLIBRARIES_PY35)

src/module.py27.o: src/module.cpp
	$(CC) $(CFLAGS) $< -o $@ -I /usr/include/python2.7/

src/module.py35.o: src/module.cpp
	$(CC) $(CFLAGS) $< -o $@ -I /usr/include/python3.5/

.cpp.o: %.cpp
	$(CC) $(CFLAGS) $< -o $@

%.py27.o: %.cpp
	$(CC) $(CFLAGS) $< -o $@ -I /usr/include/python2.7/

%.py35.o: %.cpp
	$(CC) $(CFLAGS) $< -o $@ -I /usr/include/python3.5/

clean:
	rm -f src/*.o _shared_localization.*.so SLManager test tests/*.{log,o,so,pid}

install::
	install -d $(DESTDIR)/etc/
	install -d $(DESTDIR)/etc/yandex/
	install -d $(DESTDIR)/etc/yandex/mobile/
	install -d $(DESTDIR)/etc/yandex/mobile/shared_localizations/
	install -m664 ./config/default.cfg $(DESTDIR)/etc/yandex/mobile/shared_localizations/

driver:
	driver/build.sh

.PHONY: build install uninstall clean test driver

=== src/Makefile ===
#!/usr/bin/make -f


VERSION=$(shell parsechangelog | grep "Version:" | head -n 1 | cut -b 10-)
COMMENT=$(shell parsechangelog | grep "  \*" | cut -b 4-)
MAINTAINER=$(shell parsechangelog | grep 'Maintainer' | sed 's/.*<\(.*\)>/\1/')

dupload:
	ls -t ../yandex-mobile-android-apps-updater_*.changes | head -1 | xargs dupload --to=yandex-mobile-trusty --nomail || exit

test:
	./manage.py test updater.tests --settings=updater.tests.settings

clean:
	find ./ -name *.pyc -delete
	debuild clean

deploy:
	conductor-ticket --comment "$(COMMENT)" --cc $(MAINTAINER) yandex-mobile-android-apps-updater=$(VERSION)

=== src/requirements.txt ===
#
# This file is autogenerated by pip-compile
# To update, run:
#
#    pip-compile --output-file=requirements.txt requirements.in
#
--index-url https://pypi.yandex-team.ru/simple/

asn1crypto==0.24.0        # via cryptography
backports.functools-lru-cache==1.5  # via matplotlib
backports.shutil-get-terminal-size==1.0.0  # via ipython
bcrypt==3.1.6             # via paramiko
bitarray==0.8.3           # via pybloom-live
blackbox==0.60            # via tvm2
blinker==1.4              # via raven
boto==2.49.0
catboost==0.16.5
certifi==2018.10.15       # via requests, sandbox-common
cffi==1.11.5              # via bcrypt, cryptography, pynacl
chardet==3.0.4            # via requests
click==7.0                # via flask
clickhouse-cityhash==1.0.2.2  # via clickhouse-driver
clickhouse-driver[lz4]==0.0.16
colorwiz==0.4
contextlib2==0.5.5        # via raven
coverage==4.1
cryptography==2.5         # via paramiko, pyopenssl, requests
cvxopt==1.1.9
cycler==0.10.0            # via matplotlib
cyson==1.12.0             # via nile
cython==0.27.1
decorator==4.4.0          # via ipython, networkx, nile, traitlets
diff-match-patch==20121119
dominate==2.3.5           # via flask-bootstrap
enum34==1.1.6             # via catboost, clickhouse-driver, cryptography, ticket-parser2, traitlets
fabric==1.13.1
flask-admin==1.5.0
flask-bootstrap==3.3.6.0
flask-cache==0.13.1
flask-login==0.4.0
flask-mongoengine==0.9.3
flask-oauthlib==0.9.4
flask-pymongo==0.4.1
flask-script==2.0.5
flask-wtf==0.14.2         # via flask-mongoengine
flask==0.12.2
funcsigs==1.0.2           # via mock
future==0.17.1            # via lz4, torch
gevent==1.0.2
graphviz==0.13            # via catboost
greenlet==0.4.15          # via gevent
gunicorn==19.6.0
h5py==2.9.0               # via implicit
idna==2.7                 # via requests
implicit==0.3.5
ipaddress==1.0.22         # via cryptography
ipython-genutils==0.2.0   # via traitlets
ipython==5.6.0
iso3166==0.7
itsdangerous==1.1.0       # via flask
jinja2==2.10              # via flask
jsonnet==0.9.5
kiwisolver==1.1.0         # via matplotlib
langdetect==1.0.7
lz4==2.1.6                # via clickhouse-driver
markupsafe==1.1.0         # via jinja2
marshmallow==2.7.0
matplotlib==2.2.4         # via catboost
mdswrapper==1.1.0
mock==2.0.0
mongoengine==0.15.0
mongomock==3.8.0
networkx==1.11            # via nile
nile==2.24.0
nirvana-api==2.1.3.post3227307
numpy==1.16.5
oauthlib==2.1.0           # via flask-oauthlib, requests-oauthlib
ortools==7.3.7083
pandas==0.24.2
paramiko==2.4.2           # via fabric
pathlib2==2.3.3           # via ipython, pickleshare
pbr==5.1.2                # via mock
pexpect==4.6.0            # via ipython
pickleshare==0.7.5        # via ipython
pillow==5.3.0
plotly==4.1.1             # via catboost
prompt-toolkit==1.0.15    # via ipython
protobuf==3.9.1           # via ortools
ptyprocess==0.6.0         # via pexpect
pyasn1==0.4.5             # via paramiko
pybloom-live==2.1.0
pycountry==18.12.8        # via yandex-currency-converter
pycparser==2.19           # via cffi
pygments==2.3.1           # via ipython, yql
pymongo==3.5.1
pynacl==1.3.0             # via paramiko
pyopenssl==19.0.0         # via requests
pyparsing==2.3.0          # via matplotlib, nile
pystemmer==1.3.0
python-dateutil==2.8.0    # via matplotlib, pandas
pytz==2019.1              # via clickhouse-driver, matplotlib, pandas, qb2, statbox-bindings2
pyyaml==3.13              # via qb2, qb2-core
qb2-core==1.19.0
qb2==2.24.0
raven[flask]==6.9.0
redis==2.10.6
requests-oauthlib==1.1.0
requests[security]==2.19.1
retrying==1.3.3           # via plotly
sandbox-common==0.2.4225872
scandir==1.9.0            # via pathlib2
scikit-learn==0.17.1
scipy==0.18.1
sentinels==1.0.0          # via mongomock
signurl-bindings==0.3.1   # via qb2
simplegeneric==0.8.1      # via ipython
simplejson==3.16.0        # via nile, qb2-core
six==1.12.0               # via bcrypt, blackbox, catboost, cryptography, cycler, flask-mongoengine, h5py, langdetect, matplotlib, mdswrapper, mock, mongoengine, mongomock, ortools, pathlib2, plotly, prompt-toolkit, protobuf, pynacl, pyopenssl, python-dateutil, qb2-core, retrying, traitlets, ylog, yql
statbox-bindings2==0.25.1  # via nile, qb2, qb2-core
subprocess32==3.5.4       # via matplotlib
tabulate==0.7.5           # via yql
ticket_parser2==2.2.0     # via tvm2
torch==1.1.0
tqdm==4.31.1              # via implicit
traitlets==4.3.2          # via ipython
tvm2==2.2
ujson==1.35
urllib3==1.23             # via requests
visitor==0.1.3            # via flask-bootstrap
wcwidth==0.1.6            # via prompt-toolkit, yql
werkzeug==0.14.1          # via flask
wheel==0.31.1
ws4py==0.3.4              # via yql
wtforms==2.2.1            # via flask-admin, flask-wtf
yandex-currency-converter==0.1.4
yandex-http-geobase==0.1.1
yandex-yt-driver-rpc-bindings==1.1.2
yandex-yt-proto==1.1
yandex-yt-transfer-manager-client==0.0.30.post0
yandex-yt-yson-bindings==0.3.14.post8
yandex-yt==0.8.43
yenv==0.9
ylog==0.47
yql==1.2.88               # via nile

=== advisor-money/src/requirements.txt ===
#
# This file is autogenerated by pip-compile
# To update, run:
#
#    pip-compile --output-file requirements.txt requirements.in
#
--index-url https://pypi.yandex-team.ru/simple/

asn1crypto==0.24.0        # via cryptography
backports.shutil-get-terminal-size==1.0.0  # via ipython
cffi==1.11.5              # via cryptography
click==6.7
contextlib2==0.5.5        # via raven
cryptography==2.4.2       # via pyopenssl, requests
cyson==1.11.1             # via nile
decorator==4.2.1          # via ipython, networkx, nile, traitlets
enum34==1.1.6             # via cryptography, traitlets
idna==2.8                 # via cryptography, requests
ipaddress==1.0.22         # via cryptography
ipython-genutils==0.2.0   # via traitlets
ipython==5.5.0
mongoengine==0.14.3
networkx==1.11            # via nile
nile==1.55.0
numpy==1.15.4             # via pandas
pandas==0.21.0
pathlib2==2.3.3           # via ipython, pickleshare
pexpect==4.6.0            # via ipython
pickleshare==0.7.5        # via ipython
prompt-toolkit==1.0.15    # via ipython
ptyprocess==0.6.0         # via pexpect
pycountry==18.12.8        # via yandex-currency-converter
pycparser==2.19           # via cffi
pygments==2.3.1           # via ipython, yql
pymongo==3.5.1
pyopenssl==18.0.0         # via requests
pyparsing==2.3.0          # via nile
python-dateutil==2.7.5    # via pandas
pytz==2018.3              # via pandas, statbox-bindings2
pyyaml==4.1               # via qb2-core
qb2-core==1.11.0          # via nile
raven==5.32.0
requests[security]==2.12.3
scandir==1.9.0            # via pathlib2
simplegeneric==0.8.1      # via ipython
simplejson==3.16.0        # via qb2-core
six==1.12.0               # via cryptography, mongoengine, pathlib2, prompt-toolkit, pyopenssl, python-dateutil, traitlets, ylog, yql
statbox-bindings2==0.24.2  # via nile, qb2-core
tabulate==0.7.5           # via yql
traitlets==4.3.2          # via ipython
wcwidth==0.1.6            # via prompt-toolkit, yql
wheel==0.31.1
ws4py==0.3.4              # via yql
yandex-currency-converter==0.1.4
yandex-http-geobase==0.1.1
yandex-yt==0.8.45a1
yenv==0.7.post3
ylog==0.47
yql==1.2.73               # via nile

=== shared_localization/debian/changelog ===
libyandex-mobile-shared-localization-python (2.5.1) stable; urgency=medium

  * Change device_type logic

 -- Vitalii Dmitriev <dmitvitalii@yandex-team.ru>  Fri, 21 Jun 2019 18:01:59 +0300

libyandex-mobile-shared-localization-python (2.5.0) stable; urgency=medium

  * Python 3.5 support

 -- Viktor Druchinin <viknet@yandex-team.ru>  Mon, 07 Jan 2019 10:20:32 +0300

libyandex-mobile-shared-localization-python (2.4.1) stable; urgency=medium

  * driver test fix
  * removed /usr/lib/pyshared link

 -- Viktor Druchinin <viknet@yandex-team.ru>  Mon, 26 Nov 2018 17:14:28 +0300

libyandex-mobile-shared-localization-python (2.4.0) stable; urgency=medium

  * builded xenial package
  * updated mongo library
  * fixed tests

 -- Viktor Druchinin <viknet@yandex-team.ru>  Thu, 22 Nov 2018 14:26:10 +0300

libyandex-mobile-shared-localization-python (2.3.1) stable; urgency=medium

  * fixed geo targeting logic

 -- Roman Tuaev <rtuaev@yandex-team.ru>  Fri, 03 Aug 2018 17:45:05 +0300

libyandex-mobile-shared-localization-python (2.3.0) stable; urgency=medium

  * added geo targeting, current & init, + geo blacklists
  * removed country_init
  * added several geo tests

 -- Roman Tuaev <rtuaev@yandex-team.ru>  Tue, 24 Jul 2018 11:51:03 +0300

libyandex-mobile-shared-localization-python (2.2.2) stable; urgency=medium

  * fixed ssl (libssl1.0.0, libssl-dev) versions in depends sections
  * added -V command line option into SLManager to print version
  * fixed functional_test in makefile to pass during debuild
  * added version info about deb-packages in  the depends section

 -- Roman Tuaev <rtuaev@yandex-team.ru>  Fri, 06 Jul 2018 14:21:36 +0300

libyandex-mobile-shared-localization-python (2.2.1) stable; urgency=medium

  * [ADVISOR-1692](https://st.yandex-team.ru/ADVISOR-11692): review fixes

 -- Roman Tuaev <rtuaev@yandex-team.ru>  Wed, 04 Jul 2018 20:22:55 +0300

libyandex-mobile-shared-localization-python (2.2.0) stable; urgency=medium

  * [ADVISOR-1692](https://st.yandex-team.ru/ADVISOR-11692): changed clid value from one value to list of values

 -- Roman Tuaev <rtuaev@yandex-team.ru>  Thu, 28 Jun 2018 19:56:32 +0300

libyandex-mobile-shared-localization-python (2.1.0) unstable; urgency=medium

  * ADVISOR-1602: new application version match logic

 -- Aleksandr Igoshkin <igoshkin@yandex-team.ru>  Wed, 11 Apr 2018 16:26:09 +0300

libyandex-mobile-shared-localization-python (2.0.0) unstable; urgency=medium

  * changed host's set of localization db on stress env

 -- Anton Grigoryev <griganton@yandex-team.ru>  Wed, 28 Mar 2018 21:26:53 +0300

libyandex-mobile-shared-localization-python (1.4.4) unstable; urgency=medium

  * changed host's set of localization db on stress env

 -- Anton Grigoryev <griganton@yandex-team.ru>  Wed, 16 Aug 2017 18:52:24 +0300
 

libyandex-mobile-shared-localization-python (1.4.3) unstable; urgency=medium

  * changed host's set of localization db on production env

 -- Roman Tuaev <rtuaev@yandex-team.ru>  Mon, 03 Jul 2017 17:49:07 +0300

libyandex-mobile-shared-localization-python (1.4.2) unstable; urgency=medium

  * Fixed sleep logic, so it update interval won't be shortened by signals
  * Get new process group for manager, so it won't be killed by init
    restarting service

 -- Lagoda Alex <lagoda@yandex-team.ru>  Mon, 27 Mar 2017 17:32:22 +0300

libyandex-mobile-shared-localization-python (1.4.1) unstable; urgency=medium

  * Refined signal-based logic.
  * Log sender's pid for all signals

 -- Lagoda Alex <lagoda@yandex-team.ru>  Mon, 27 Mar 2017 15:03:59 +0300

libyandex-mobile-shared-localization-python (1.4.0) unstable; urgency=medium

  * Debian packaged 1.3.0

 -- Lagoda Alex <lagoda@yandex-team.ru>  Tue, 21 Mar 2017 18:51:56 +0300

libyandex-mobile-shared-localization-python (1.3.1) unstable; urgency=medium

  * Review changes

 -- Lagoda Alex <lagoda@yandex-team.ru>  Tue, 28 Feb 2017 11:44:33 +0300

libyandex-mobile-shared-localization-python (1.3.0) unstable; urgency=medium

  * Store manager's pid in container
  * Clients check if pid in container is real and running every
    `manager_check_count` requests to shared localizations

 -- Lagoda Alex <lagoda@yandex-team.ru>  Mon, 20 Feb 2017 14:23:05 +0300

libyandex-mobile-shared-localization-python (1.2.2) unstable; urgency=medium

  * Fixed version parsing

 -- Lagoda Alex <lagoda@yandex-team.ru>  Mon, 06 Feb 2017 18:47:38 +0300

libyandex-mobile-shared-localization-python (1.2.1) stable; urgency=medium

  * Fixed PyPi packaging

 -- Lagoda Alex <lagoda@yandex-team.ru>  Mon, 06 Feb 2017 18:16:48 +0300

libyandex-mobile-shared-localization-python (1.2.0) stable; urgency=medium

  * Added library version to shared memory segment
  * setExecutablePath added
  * _exit after failure on start_manager if child process (may spawn zombies)

 -- Lagoda Alex <lagoda@yandex-team.ru>  Fri, 03 Feb 2017 18:08:42 +0300

libyandex-mobile-shared-localization-python (1.1.2) stable; urgency=medium

  * Fixed bug with audience salt mixing

 -- Lagoda Alex <lagoda@yandex-team.ru>  Thu, 02 Feb 2017 18:15:32 +0300

libyandex-mobile-shared-localization-python (1.1.1) stable; urgency=medium

  * Fixed locking when setting up pidfile 

 -- Lagoda Alex <lagoda@yandex-team.ru>  Thu, 26 Jan 2017 14:23:17 +0300

libyandex-mobile-shared-localization-python (1.1.0) stable; urgency=medium

  * Reduced default shared memory size
  * Changed default pidfile directory

 -- Lagoda Alex <lagoda@yandex-team.ru>  Thu, 26 Jan 2017 12:54:39 +0300

libyandex-mobile-shared-localization-python (1.0.0) stable; urgency=medium

  * First stable release (same as 0.5.1)

 -- Lagoda Alex <lagoda@yandex-team.ru>  Thu, 19 Jan 2017 18:14:28 +0300

libyandex-mobile-shared-localization-python (0.5.1) unstable; urgency=medium

  * Fixed logfiles being truncated

 -- Lagoda Alex <lagoda@yandex-team.ru>  Thu, 19 Jan 2017 14:37:56 +0300

libyandex-mobile-shared-localization-python (0.5.0) unstable; urgency=medium

  * Audience mixing(salt) support


=== src/debian/changelog ===
yandex-mobile-android-apps-updater (1.15.1) stable; urgency=medium

  * ADVISOR-2098 remove mongos

 -- Viktor Druchinin <viknet@yandex-team.ru>  Tue, 12 Feb 2019 17:42:03 +0300

yandex-mobile-android-apps-updater (1.15.0) stable; urgency=medium

  * ADVISOR-2096 migration advisor_db

 -- Viktor Druchinin <viknet@yandex-team.ru>  Fri, 08 Feb 2019 14:55:48 +0300

yandex-mobile-android-apps-updater (1.14.0) stable; urgency=medium

  * ADVISOR-2056 added segmentation by serial_number and yphone_id

 -- Viktor Druchinin <viknet@yandex-team.ru>  Wed, 09 Jan 2019 18:11:46 +0300

yandex-mobile-android-apps-updater (1.13.0) stable; urgency=medium

  * ADVISOR-2046 move localization_db into DBaaS

 -- Viktor Druchinin <viknet@yandex-team.ru>  Fri, 28 Dec 2018 18:03:50 +0300

yandex-mobile-android-apps-updater (1.12.2) stable; urgency=medium

  * gevent fix

 -- Viktor Druchinin <viknet@yandex-team.ru>  Thu, 13 Dec 2018 13:31:45 +0300

yandex-mobile-android-apps-updater (1.12.1) stable; urgency=medium

  * gunicorn worker-class=gevent

 -- Viktor Druchinin <viknet@yandex-team.ru>  Thu, 13 Dec 2018 12:33:40 +0300

yandex-mobile-android-apps-updater (1.12.0) stable; urgency=medium

  * ADVISOR-1996 trusty -> xenial

 -- Viktor Druchinin <viknet@yandex-team.ru>  Thu, 29 Nov 2018 12:14:06 +0300

yandex-mobile-android-apps-updater (1.11.4) stable; urgency=medium

  * ADVISOR-1485 enable SNI support for juggler monitoring

 -- Viktor Druchinin <viknet@yandex-team.ru>  Tue, 20 Nov 2018 15:57:06 +0300

yandex-mobile-android-apps-updater (1.11.3) stable; urgency=medium

  * ADVISOR-1852 yandex-localization-tools version up

 -- Viktor Druchinin <viknet@yandex-team.ru>  Thu, 20 Sep 2018 18:28:59 +0300

yandex-mobile-android-apps-updater (1.11.2) stable; urgency=medium

  * ADVISOR-1827 return of the market_links

 -- Viktor Druchinin <viknet@yandex-team.ru>  Wed, 12 Sep 2018 18:54:54 +0300

yandex-mobile-android-apps-updater (1.11.1) stable; urgency=medium

  * ADVISOR-1779: added checking phone manufacturer in USER_AGENT

 -- Viktor Druchinin <viknet@yandex-team.ru>  Tue, 04 Sep 2018 17:32:20 +0300

yandex-mobile-android-apps-updater (1.11.0) stable; urgency=medium

  * ADVISOR-1827: added GET parameter 'type' in /updates

 -- Viktor Druchinin <viknet@yandex-team.ru>  Tue, 04 Sep 2018 15:09:05 +0300

yandex-mobile-android-apps-updater (1.10.1) stable; urgency=medium

  * ADVISOR-1779: separated experiments for yphone  updater

 -- Viktor Druchinin <viknet@yandex-team.ru>  Thu, 23 Aug 2018 12:56:26 +0300

yandex-mobile-android-apps-updater (1.10.0) stable; urgency=medium

  * ADVISOR-1672: Targeting by app name, app version, device manufacturer, device model, os name and os version

 -- Viktor Druchinin <viknet@yandex-team.ru>  Tue, 21 Aug 2018 16:08:46 +0300

yandex-mobile-android-apps-updater (1.9.1) stable; urgency=low

  * Add meta to YandexDistributedApp

 -- Anton Grigoryev <griganton@yandex-team.ru>  Mon, 20 Aug 2018 14:26:45 +0300

yandex-mobile-android-apps-updater (1.9.0) stable; urgency=low

  * ADVISOR-1786: Subscribe and Unsubscribe views

 -- Anton Grigoryev <griganton@yandex-team.ru>  Wed, 15 Aug 2018 13:23:27 +0300

yandex-mobile-android-apps-updater (1.8.2) stable; urgency=medium

  * fix for previous commit: rm old forgotten code (ValueError)

 -- Aleksandr Igoshkin <igoshkin@yandex-team.ru>  Wed, 25 Jul 2018 11:28:13 +0300

yandex-mobile-android-apps-updater (1.8.1) stable; urgency=medium

  * ADVISOR-1685: allow locale values consists only from lang/country/etc or even empty 

 -- Aleksandr Igoshkin <igoshkin@yandex-team.ru>  Tue, 24 Jul 2018 15:43:52 +0300

yandex-mobile-android-apps-updater (1.8.0) stable; urgency=low

  * ADVISOR-1692: using fixed shared localization v 2.2.2

 -- Roman Tuaev <rtuaev@yandex-team.ru>  Fri, 13 Jul 2018 17:16:54 +0300

yandex-mobile-android-apps-updater (1.7.0) stable; urgency=low

  * ADVISOR-1741: remove maas

 -- Anton Grigoryev <griganton@yandex-team.ru>  Tue, 10 Jul 2018 11:25:54 +0300

yandex-mobile-android-apps-updater (1.6.2) stable; urgency=medium

  * use qloud secrets

 -- Aleksandr Igoshkin <igoshkin@yandex-team.ru>  Tue, 17 Apr 2018 13:05:46 +0300

yandex-mobile-android-apps-updater (1.6.1) stable; urgency=medium

  * fix empty builds treating

 -- Aleksandr Igoshkin <igoshkin@yandex-team.ru>  Thu, 12 Apr 2018 18:40:13 +0300

yandex-mobile-android-apps-updater (1.6.0) stable; urgency=low

  * ADVISOR-1577: use new mongos in localization

 -- Anton Grigoryev <griganton@yandex-team.ru>  Wed, 04 Apr 2018 15:33:05 +0300

yandex-mobile-android-apps-updater (1.5.7) stable; urgency=low

  * ADVISOR-1572: new mongo settings

 -- Anton Grigoryev <griganton@yandex-team.ru>  Thu, 15 Mar 2018 19:44:40 +0300

yandex-mobile-android-apps-updater (1.5.6) stable; urgency=medium

  * fix wrong memoize 

 -- Aleksandr Igoshkin <igoshkin@yandex-team.ru>  Wed, 14 Mar 2018 19:49:15 +0300

yandex-mobile-android-apps-updater (1.5.5) stable; urgency=medium

  * fix: add mongos to dependencies 

 -- Aleksandr Igoshkin <igoshkin@yandex-team.ru>  Wed, 14 Mar 2018 12:47:18 +0300

yandex-mobile-android-apps-updater (1.5.4) stable; urgency=medium

  * small fix 

 -- Aleksandr Igoshkin <igoshkin@yandex-team.ru>  Tue, 13 Mar 2018 19:09:38 +0300

yandex-mobile-android-apps-updater (1.5.3) stable; urgency=medium

  * ADVISOR-1582: add mongos config to deploy

 -- Aleksandr Igoshkin <igoshkin@yandex-team.ru>  Mon, 12 Mar 2018 16:34:35 +0300

yandex-mobile-android-apps-updater (1.5.2) stable; urgency=medium

  * ADVISOR-1576: made x-yauuid header required 

 -- Aleksandr Igoshkin <igoshkin@yandex-team.ru>  Tue, 06 Mar 2018 15:51:01 +0300

yandex-mobile-android-apps-updater (1.5.1) stable; urgency=medium

  * add version.py

 -- Aleksandr Igoshkin <igoshkin@yandex-team.ru>  Mon, 05 Mar 2018 15:04:42 +0300

yandex-mobile-android-apps-updater (1.5.0) stable; urgency=medium

  * ADVISOR-1540: own configs for all clients
  * ADVISOR-1550: small fix



=== shared_localization/debian/control ===
Source: libyandex-mobile-shared-localization-python
Section: python
Priority: optional
Maintainer: Viktor Druchinin <viknet@yandex-team.ru>
Standards-Version: 1.0.0
Build-Depends:
    build-essential,
    libparse-debianchangelog-perl,
    debhelper,
    cmake,
    libboost-system1.58-dev,
    libboost-python1.58-dev,
    libpoco-dev,
    python-dev,
    python3-dev,
    python-central,
    python (>= 2.7),
    python (<< 2.8),
    python3 (>= 3.5),
    libpocofoundation9v5,
    libgmp10,
    pkg-config,
    libgmp-dev,
    libssl-dev,
    libsasl2-dev,
    google-mock
X-Python-Version: >= 2.7, << 2.8
X-Python3-Version: >=3.5

Package: libyandex-mobile-shared-localization-python
Architecture: any
Depends:
    libboost-system1.58.0,
    libboost-python1.58.0,
    libpocofoundation9v5,
    libgmp10,
    python (>= 2.7),
    python (<< 2.8),
    libssl1.0.0
Description: Python binding for shared localization c++ classes
X-Python-Version: >= 2.7, << 2.8
X-Python3-Version: >=3.5

=== src/debian/control ===
Source: yandex-mobile-android-apps-updater
Section: python
Priority: optional
Maintainer: Aleksandr Igoshkin <igoshkin@yandex-team.ru>
Build-Depends: debhelper (>= 8.0.0),
    python (>= 2.6),
    python-central,
    python-dev,
    yandex-dh-nginx,
    yandex-dh-environment,
    dh-virtualenv (= 0.11-1),
    libmysqlclient-dev,
    libyandex-mobile-shared-localization-python (>= 1.0.0)
Standards-Version: 3.9.4
Homepage: https://github.yandex-team.ru/mobserver/updater

Package: yandex-mobile-android-apps-updater
Architecture: all
Depends: ${misc:Depends},
    redis-server,
    yandex-mobile-monrun-checker,
    libyandex-mobile-shared-localization-python (>= 1.0.0)
Conflicts:
    libgeobase3 (>=3.1-66)
Description: Server API for androind apps updater

=== shared_localization/debian/rules ===
#!/usr/bin/make -f
# смотрите debhelper(7) (раскомментируйте для включения)
# вывод каждой команды, которая изменяет файлы в системе сборки
DH_VERBOSE = 1
export DH_OPTIONS=-v

# смотрите ПРИМЕРЫ в dpkg-buildflags(1) и прочтите /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# смотрите FEATURE AREAS в dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# смотрите ENVIRONMENT в dpkg-buildflags(1)
# как сопровождающему добавить CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# как сопровождающему добавить LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

# главный сценарий упаковки на основе синтаксиса dh7
%:
		dh $@

=== src/debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python-virtualenv --with nginx

override_dh_virtualenv:
	dh_virtualenv --pypi-url https://pypi.yandex-team.ru/simple/ --extra-pip-arg --use-wheel --use-system-packages --extra-pip-arg --ignore-installed

override_dh_nginx:
	dh_nginx --no-restart
